sysuse nlsw88, clear
gen ln_wage = ln(wage)
mkspline ttl_exps = ttl_exp, cubic nknots(3)
mkspline hourss = hours, cubic nknots(3)
reg ln_wage ttl_exps* hourss* grade collgrad south union

matrix init = e(b)
local coln : colnames init
foreach n of local coln {
	local colnames "`colnames' model:`n'"
}
local colnames : list retokenize colnames
matrix init = init, ln(`e(rmse)')
matrix colnames init = `colnames' lnsigma:_cons
